#exclude default_hosts

ForceAffinePoweron=1
numrounds = 3
host  DrmMidCpu   3

hostset hostset1 DrmMidCpu1
hostset hostset2 DrmMidCpu2,DrmMidCpu3

# Keep VMs 1 & 2 on the same host and 3, 4 on separate hosts.
vm AntiAffinTwoLevel512Mb       1  user DrmMidCpu1
vm AntiAffinTwoLevel512Mb       1  user DrmMidCpu1
vm AntiAffinTwoLevel512Mb       1  user DrmMidCpu2
vm AntiAffinTwoLevel512Mb       1  user DrmMidCpu3

# Make VM1 antiaffine to VMs 3 & 4.
event:antiaffin AntiAffinTwoLevel512Mb1 AntiAffinTwoLevel512Mb3
event:antiaffin AntiAffinTwoLevel512Mb1 AntiAffinTwoLevel512Mb4

# In pass 1, Make VM1 soft anti affine to host1 (where it is currently).
# This should trigger a two level move, where VM from either host3/4
# moved elsewhere and VM1 is moved to that host.
event:hostsetChangeSoft AntiAffinTwoLevel512Mb1  1 hostset2
event:hostsetChangeSoft AntiAffinTwoLevel512Mb2  1 hostset1

