#vm VariableLoad       2        user DrmMidCpu1
#vm Joint1AndAnti2       1       user DrmMidCpu1
#vm AffineToFirst	1	user randhost
#vm AffineToSecond	2	user randhost
#vm HighlyVariableLoad	20	user randhost

#Extract VM placements after the first DRS invocation
VariableLoadHost1 = RegxExtract("vm:VariableLoad1 on host:(\S+)", "pass>2")
VariableLoadHost2 = RegxExtract("vm:VariableLoad2 on host:(\S+)", "pass>2")
Joint1AndAnti2Host3 = RegxExtract("vm:Joint1AndAnti23 on host:(\S+)", "pass>2")
AffineToFirstHost4 = RegxExtract("vm:AffineToFirst6 on host:(\S+)", "pass>2")
AffineToSecondHost5 = RegxExtract("vm:AffineToSecond7 on host:(\S+)", "pass>2")
AffineToSecondHost6 = RegxExtract("vm:AffineToSecond8 on host:(\S+)", "pass>2")

size = len(VariableLoadHost1)

ManualVariableLoad = RegxExtract("vm:ManualVariableLoad4 on host:(\S+)", "pass=2")[0]
AntiAffineToFourth = RegxExtract("vm:AntiAffineToFourth5 on host:(\S+)", "pass=2")[0]

#Ensure that AntiAffineToFourth is moved and not ManualVariableLoad
if (ManualVariableLoad == AntiAffineToFourth) or\
            (ManualVariableLoad != 'DrmMidCpu2'):
   print ManualVariableLoad, AntiAffineToFourth
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

#Make sure anti-affined VMs are always on different hosts
for i in range(0, size-1):
	if VariableLoadHost2[i] == Joint1AndAnti2Host3[i]:
		print "anti", i, VariableLoadHost2[i], Joint1AndAnti2Host3[i]
		fail = 1

#Make sure affined VMs are always on the same hosts
for i in range(0, size-1):
	if VariableLoadHost1[i] != Joint1AndAnti2Host3[i]:
		print "joint", i, VariableLoadHost1[i], Joint1AndAnti2Host3[i]
		fail = 1
	if VariableLoadHost1[i] != AffineToFirstHost4[i]:
		print "joint", i, VariableLoadHost1[i], AffineToFirstHost4[i]
		fail = 1
	if VariableLoadHost2[i] != AffineToSecondHost5[i]:
		print "joint", i, VariableLoadHost2[i], AffineToSecondHost5[i]
		fail = 1
	if VariableLoadHost2[i] != AffineToSecondHost6[i]:
		print "joint", i, VariableLoadHost2[i], AffineToSecondHost6[i]
		fail = 1
