if RegxMatch("PANIC") or RegxMatch("ASSERT"):
  print "Test failed with an assert or a panic"
  fail = 1

for p in range(1,12):

# Check if host power on operation in pass N and demand is same as pass N-1
  if (p > 2) and RegxMatch("host-rec, powerOn", "pass == %d"%(p)):
      curhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p))
      prvhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p-1))
      if (curhostdem == prvhostdem):
#        Note that failure could be falsely reported, if load balancing moves were curtailed in pass p or p-1
         print "power on operation in pass %d and demand is same as pass %d"%(p, p-1)
         fail = 1

# Check if host power off operation in pass N and demand is same as pass N-1
#  if (p > 2) and RegxMatch("host-rec, powerOff", "pass == %d"%(p)):
#      curhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p))
#      prvhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p-1))
#      curhostdemoff = RegxExtract("host-off LogHostDemand: (.+)$", "pass == %d"%(p))
#      prvhostdemoff = RegxExtract("host-off LogHostDemand: (.+)$", "pass == %d"%(p-1))
#      if (curhostdem == prvhostdem) and (curhostdemoff == prvhostdemoff):
#        Note that failure could be falsely reported, if load balancing moves were curtailed in pass p or p-1
#         print "host power off operation in pass %d and demand is same as pass %d"%(p, p-1)
#         fail = 1

vmotionsCheck = 0
try:
   IgnoreVmotionWhenDemandIsSame
except:
   vmotionsCheck = 1
   
# Check if vmotion in pass N and per-host demand is same as pass N-1
if (vmotionsCheck) and (p > 2) and RegxMatch("Vmotion actions recommended","pass==%d"%(p)):
      curhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p))
      prvhostdem = RegxExtract("host-on LogHostDemand: (.+)$", "pass == %d"%(p-1))
      if (curhostdem == prvhostdem):
#        Ignore vmotions due to power offs
	 if not (RegxMatch("host-rec, powerOff", "pass == %d"%(p)) or RegxMatch("Applying pending actions")):
#           Note that failure could be falsely reported, if load balancing moves were curtailed in pass p or p-1
            print "vmotion in pass %d and per-host demand is same as pass %d"%(p, p-1)
            fail = 1

#Ensure there is no host admission violation
#if (not modifiers.has_key("SkipHostAdmission")) and\
#   (RegxMatch(": host admission violated: ")):
#   print "Host admission violated"
#   fail = 1

#Ensure there is no problem regarding network ports
if RegxMatch("HasEnoughPortsFor: network not accessible on host: ") or\
   RegxMatch("UpdateAvailPorts: network not found on host: ") or\
   RegxMatch("UpdateAvailPorts: not enough ports on switch: "):
   print "Network ports problems"
   fail = 1
