#Extract VM placements after the first DRS invocation
VariableLoadHost1 = RegxExtract("vm:VariableLoad1 on host:(\S+)", "pass==2")[0]
AffineToFirstHost2 = RegxExtract("vm:AffineToFirst2 on host:(\S+)", "pass==2")[0]
AffineToFirstHost3 = RegxExtract("vm:AffineToFirst3 on host:(\S+)", "pass==2")[0]
AntiAffineToSecondHost4 = RegxExtract("vm:AntiAffineToSecond4 on host:(\S+)", "pass==2")[0]
AntiAffineToThirdHost5 = RegxExtract("vm:AntiAffineToThird5 on host:(\S+)", "pass==2")[0]

# Make sure affined VMs are on the same host and anti-affined VMs are 
# on different hosts

if VariableLoadHost1 != AffineToFirstHost2 or VariableLoadHost1 != AffineToFirstHost3:
        print "VariableLoad1 on host ", VariableLoadHost1, ", AffineToFirst2 on host ", AffineToFirstHost2, ", AffineToFirst3 on host ", AffineToFirstHost3, ", should be together."
	fail = 1

if AntiAffineToSecondHost4 == AffineToFirstHost2 or AntiAffineToThirdHost5 == AffineToFirstHost3:
        print "AntiAffineToSecond4 on host ", AntiAffineToSecondHost4, ", AffineToFirst2 on host ", AffineToFirstHost2, ", AntiAffineToThird5 on host ", AntiAffineToThirdHost5, ", AffineToFirst3 on host ", AffineToFirstHost3, "."
	fail = 1

# Make sure all hosts except the first two are empty since they are entering 
# maintenance mode. It takes one pass for all vmotions to complete.

hostVms = RegxExtract("host (\S+)  state:\S+  vms:(\d+)", "pass==3")
for hv in hostVms:
        if ((hv[1] == '0') and
            ((hv[0] == 'DrmMidCpu1') or (hv[0] == 'DrmMidCpu2'))):
                print 'No VMs in %s' % hv[0]
                fail = 1
        if ((hv[1] != '0') and
            not ((hv[0] == 'DrmMidCpu1') or (hv[0] == 'DrmMidCpu2'))):
                print 'Host %s has %s VMs' % (hv[0], hv[1])
                fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
