# Flag if there's a power off recommendation in pass 4
if RegxMatch("host-rec, powerOff", "pass == 4"):
   print "Expected: No host power-off recommendation in pass 4"
   fail = 1

# Ensure there's a power off recommendation in pass 5
# setting VmDemandHistorySecsHost{On|Off},PowerPerformanceHistorySecs to 0
if not RegxMatch("host-rec, powerOff", "pass == 5"):
   print "Expected: Host powerOff recommendation in pass 5"
   fail = 1

# Ensure there's a power off recommendation in pass 7
# setting PowerPerformanceRatio to 0
if not RegxMatch("host-rec, powerOff", "pass == 7"):
   print "Expected: Host powerOff recommendation in pass 7"
   fail = 1

# Ensure there's a power off recommendation in pass 9
# setting EnablePerformanceRatio to 0
if not RegxMatch("host-rec, powerOff", "pass == 9"):
   print "Expected: Host powerOff recommendation in pass 9"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
