#Ensure there are no migrations
if RegxMatch("moving vm "):
   print "Migrations happened, not expected."
   fail = 1

#PlaceRound3HighMemMin should be powered on in pass 3
if not RegxMatch("vm:PlaceRound3HighMemMin(\d+) on host:(\S+)", "pass==3"):
   print "VM PlaceRound3HighMemMin not powered on."
   fail = 1

#PlaceRound3MidMemMin should be powered on in pass 3
if not RegxMatch("vm:PlaceRound3MidMemMin(\d+) on host:(\S+)", "pass==3"):
   print "VM PlaceRound3MidMemMin not powered on."
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
