#vm BigMemIdle      12         user randhost
#vm BigMemBusy      4          user DrmMidCpu1

hBigMem = RegxExtract("vm:BigMemBusy(\d+) on host:(\S+)","pass==2")

#second element is hostname on each line
for i in range(0,4):
   for j in range(i+1,4):
      # Condition for pass, the bigMemVm's must be on different hosts
      if hBigMem[i][1] == hBigMem[j][1]:
         print "Expected: BigMem vms on different hosts"
         fail = 1
#Check to see if there are any moves after pass 1, since workloads are constant. Well, pass 2 might be different from pass 1, since the shared memory of migrating VMs are counted differently once the migrations complete. So check for pass>2 to avoid false alarms.
#Ignore migrations due to power offs
for p in range(3,11):
   if not RegxMatch("host-rec, powerOff", "pass == %d"%(p)):
      if RegxMatch("moving vm (\S+) from host (\S+) to (\S+)", "pass == %d"%(p)):
         print "Unexpected powerOff / move recommendation in pass ", p
         fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
