# In pass 1, the new VM should be powered on
# NetDrs2Pnics2

NET_VM1 = "NetDrsVmStableComputeHighNet1"
NET_VM2 = "NetDrsVmStableComputeLowNet2"
NET_VM3 = "NetDrsVmStableComputeLowNet3"
HOST_1 = "NetDrs2Pnics1"
HOST_2 = "NetDrs2Pnics2"

expected_host = {}
expected_host[NET_VM1] = HOST_1
expected_host[NET_VM2] = HOST_2
expected_host[NET_VM3] = HOST_2

vms = [NET_VM1, NET_VM2, NET_VM3]

for vm in vms:
    vmHost = RegxExtract("vm:{0} on host:(\S+)".format(vm), "pass==1")[0]
    #print "vm {0} on host {1}".format(vm, vmHost)
    if vmHost != expected_host[vm]:
        print "{0} on host {1}, should be on {2}".format(vm, vmHost, expected_host[vm])
        fail = 1

