# Make sure a host is recommendend for power-on in pass 3
if not RegxMatch("host-rec, powerOn", "pass == 3"):
   print "No host is recommended for powering on in pass 3"
   fail = 1

# Make sure a host is recommendend for power-on in pass 5
if not RegxMatch("Adding spare vm power on", "pass == 5"):
   print "No host power-on is recommended for spare VMs in pass 5"
   fail = 1

# Check for DRM_EMPTY_DOMAIN (7) in pass 6 (cluster has no capacity)
if not RegxMatch("MapVm did not succeed for all VMs error 7", "pass == 6"):
   print "Did not get DRM_EMPTY_DOMAIN (7) error code from MapVm in pass 6"
   fail = 1
if not RegxMatch("propose actions failed with status 7", "pass == 6"):
   print "Did not get DRM_EMPTY_DOMAIN (7) error code from ProposeActions in pass 6"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

