#ForceAffinePoweron = 1
#vm ManualThirdWorkload                 1       user DrmMidCpu1
#vm AffineToFirstPlaceRound2LargeMin    4       user randhost #min = 1000
#vm AffineToFirstPlaceRound3LargeMin    4       user randhost

vmManual1 =  RegxExtract("vm:ManualThirdWorkload1 on host:(\S+)","pass>=2")
vmHostRnd2 = RegxExtract("vm:AffineToFirstPlaceRound2LargeMin(\d+) on host:(\S+)","pass==2")
vmHostRnd3 = RegxExtract("vm:AffineToFirstPlaceRound3LargeMin(\d+) on host:(\S+)","pass==3")

vmManual2 =  RegxExtract("vm:ManualThirdWorkload2 on host:(\S+)","pass==3")[0]
aff2Host = RegxExtract("vm:AffineToSecondLargeMin\d+ on host:(\S+)","pass==3")

for i in vmHostRnd2:
   if i[1] != vmManual1[0]:
      fail = 1
      break

for i in vmHostRnd3:
   if i[1] != vmManual1[1]:
      fail = 1
      break

# The AffineToSecondLargeMin VMs should either be on the same host as 
# ManualThirdWorkload2, or powered off.

if len(aff2Host) < 2:
	print "AffineToSecondLargeMin length", len(aff2Host)
	fail = 1

for i in aff2Host:
  if i != vmManual2:
	print "AffineToSecondLargeMin on host", i, "should be on", vmManual2
	fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
