# Ensure that host targeted for pending move is rejected for power down

targHost = RegxExtract("create pending action: move: \S+ from \S+ to (\S+)","pass==3")
cnflHost = RegxExtract("power off (\S+) conflicts with pending action","pass==3")

if targHost != cnflHost:
   fail = 1

# In passes 1 & 2, should get InsufficientStandbyCpuResource fault
if not RegxMatch("InsufficientStandbyCpuResource", "pass < 3"):
   print "Expected InsufficientStandbyCpuResource fault until pass 3"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
