# Ensure that active cpu capacity >= (6*3000)+3000+1000 in pass 3 or higher
activeCpuCap = RegxExtract("LogActiveCapacity: cpu (\d+) mem \S+")
for p in range(2,6):
   if int(activeCpuCap[p]) < 22000:
      print "failure to meet expected cpu capacity in pass %d"%(p+1)
      fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
