#
# pass criteria for storageMoveCost
#

#
# Extract number of simulation rounds
#
numRounds = 0
roundEx = RegxExtract("dummydrm finished (\d+) rounds")
if len(roundEx) == 1:
    numRounds = int(roundEx[0])
else:
    print 'Test did not complete'
    fail = 1


corrEx = 'soft constraint violation'

for currRound in range(1,10):
    #
    # In all rounds, atleast one soft constraint should fail
    #
    migs = RegxExtract(corrEx, "pass=%d" % currRound)

    if not migs:
        print 'No soft constraint violation in round %d' % currRound
        fail = 1
