#
# pass/fail criteria
#

# Sanity checking to make sure they are on different datastores at end of pass 2

# TODO: can we fix the test conditions so that the following becomes true ?
# in any case the third VM has disks in 2 datastores, which means the
# final anti-affinity rules will trigger at least one move (meaning
# the test still does something meaningful)
# see http://bugzilla.eng.vmware.com/show_bug.cgi?id=723609

#for i in range(1,4):
#   swdisks = RegxExtract("vm:StorageWorkload%d:(\S+) on host:(\S+)"%(i), "pass==2")
#   if swdisks[0][1] == swdisks[1][1]:
#      print "Test setup failed!"
#      fail = 1

sw1disks = RegxExtract("vm:StorageWorkload1:(\S+) on host:(\S+)", "pass==4")
sw2disks = RegxExtract("vm:StorageWorkload2:(\S+) on host:(\S+)", "pass==4")
sw3disks = RegxExtract("vm:StorageWorkload3:(\S+) on host:(\S+)", "pass==4")

for sw1disk in sw1disks:
   for sw2disk in sw2disks:
      if sw1disk[1] == sw2disk[1]:
         print "StorageWorkload1 disk and StorageWorkload2 disk on same datastore"
         fail = 1
   for sw3disk in sw3disks:
      if sw1disk[1] == sw3disk[1]:
         print "StorageWorkload1 disk and StorageWorkload3 disk on same datastore"
         fail = 1


