# 10000 MB capacity each, 20000 MB in total on Medium datastores
datastore  Medium   2
# 50000 MB capacity each, 100000 MB in total on LargeSpaceLargeIO datastores
datastore  LargeSpaceLargeIO  2
# A disconnected datastore
datastore LargeSpaceMediumIO 1

# partition datastores into three sets
datastoreSet mediumSet Medium1,Medium2
datastoreSet largeSet LargeSpaceLargeIO3,LargeSpaceLargeIO4
datastoreSet disconnectedSet LargeSpaceMediumIO5

# two sets of hosts, each can see datastores in only one of the datastore sets
#exclude default_hosts
host DrmBigCpu 2 DRM_HOST_OK mediumSet
host DrmMidCpu 2 DRM_HOST_OK largeSet

# 1000 MB per DefaultDisk, 2 disks per VM, 30000 MB in total in StorageWorkload VMs
vm StorageWorkload		15	   user delayplace/delayplace # DefaultDisk1-30
# 5000 MB per LargeSpaceHighIO, 90000 MB in total in VmWithBigDiskHighIO VMs
vm VmWithBigDiskHighIO          18         user delayplace/delayplace # LargeSpaceHighIO31-48

# The datastore "Medium1" in the placement events below is just a
placeholder. actual datastore for the disk will be recommended by the
SDRS initial placement algorithm.

# Place DefaultDisk1-10 in round 1.
event:place DefaultDisk1 1 Medium1
event:place DefaultDisk2 1 Medium1
event:place DefaultDisk3 1 Medium1
event:place DefaultDisk4 1 Medium1
event:place DefaultDisk5 1 Medium1
event:place DefaultDisk6 1 Medium1
event:place DefaultDisk7 1 Medium1
event:place DefaultDisk8 1 Medium1
event:place DefaultDisk9 1 Medium1
event:place DefaultDisk10 1 Medium1

# Place LargeSpaceHighIO31-36 in round 2.
event:place LargeSpaceHighIO31 2 Medium1
event:place LargeSpaceHighIO32 2 Medium1
event:place LargeSpaceHighIO33 2 Medium1
event:place LargeSpaceHighIO34 2 Medium1
event:place LargeSpaceHighIO35 2 Medium1
event:place LargeSpaceHighIO36 2 Medium1

# Place DefaultDisk11-20 in round 3.
event:place DefaultDisk11 3 Medium1
event:place DefaultDisk12 3 Medium1
event:place DefaultDisk13 3 Medium1
event:place DefaultDisk14 3 Medium1
event:place DefaultDisk15 3 Medium1
event:place DefaultDisk16 3 Medium1
event:place DefaultDisk17 3 Medium1
event:place DefaultDisk18 3 Medium1
event:place DefaultDisk19 3 Medium1
event:place DefaultDisk20 3 Medium1

# Place LargeSpaceHighIO37-42 in round 4.
event:place LargeSpaceHighIO37 4 Medium1
event:place LargeSpaceHighIO38 4 Medium1
event:place LargeSpaceHighIO39 4 Medium1
event:place LargeSpaceHighIO40 4 Medium1
event:place LargeSpaceHighIO41 4 Medium1
event:place LargeSpaceHighIO42 4 Medium1

# Place DefaultDisk21-30 in round 5.
event:place DefaultDisk21 5 Medium1
event:place DefaultDisk22 5 Medium1
event:place DefaultDisk23 5 Medium1
event:place DefaultDisk24 5 Medium1
event:place DefaultDisk25 5 Medium1
event:place DefaultDisk26 5 Medium1
event:place DefaultDisk27 5 Medium1
event:place DefaultDisk28 5 Medium1
event:place DefaultDisk29 5 Medium1
event:place DefaultDisk30 5 Medium1

# Place LargeSpaceHighIO43-48 in round 6.
event:place LargeSpaceHighIO43 6 Medium1
event:place LargeSpaceHighIO44 6 Medium1
event:place LargeSpaceHighIO45 6 Medium1
event:place LargeSpaceHighIO46 6 Medium1
event:place LargeSpaceHighIO47 6 Medium1
event:place LargeSpaceHighIO48 6 Medium1

#Run storage simulation
storageSimulation=1
PollInterval=1000
numrounds=10

event:setadvoption SetSpaceLoadToDatastoreUsedMB 1 0
