#exclude default_hosts

host DrmSmallCpuBigMem 2
vm SmallVary 2 user DrmSmallCpuBigMem1
event:hostStateChange DrmSmallCpuBigMem2 1 DRM_HOST_NOT_CONNECTED
event:hostStateChange DrmSmallCpuBigMem2 2 DRM_HOST_STANDBY

# Set options to cause power-off rec at pass 5 (1200) due to lower demand from 800-1300
event:setadvoption VmDemandHistorySecsHostOn 5 0
event:setadvoption VmDemandHistorySecsHostOff 5 0
event:setadvoption PowerPerformanceHistorySecs 5 0

# Due to higher demand (1300-1600), power-on rec at pass 6 (1500)
# Reset options to default
event:setadvoption VmDemandHistorySecsHostOn 6 300
event:setadvoption VmDemandHistorySecsHostOff 6 2400
event:setadvoption PowerPerformanceHistorySecs 6 3600

# Set option to keep DPM C/B from rejecting power-off rec at pass 7 (1800)
event:setadvoption PowerPerformanceRatio 7 0

# Due to higher demand (2100-2400), power-on rec at pass 8 (2100)
# Reset option to default
event:setadvoption PowerPerformanceRatio 8 40

# Set option to keep DPM C/B from rejecting power-off rec at pass 9
event:setadvoption EnablePowerPerformance 9 0

NumUnreservedSlots = 0
numrounds = 9
