# Expected events:
# In pass 1, DRS powers off all but one hosts.
# In pass 2, DrmMidCpu1 is powered on and 4 PinnedInitPlace VMs are placed
# on it.
# In pass 3, more VMs are placed on DrmMidCpu1, and more hosts are powered on.
# In pass 4, before any VMs are moved to the newly powered-on host, more
# PinnedInitPlace VMs are placed on DrmMidCpu1, causing non-pinned VMs to move
# to the other hosts and/or causing more hosts to be powered on.
# In pass 5, 4 more PinnedInitPlace VMs are attempted for power-on, but fail
# with the fault InsufficientHostCapacityFault.

vm PinnedInitPlace	4 user delayplace # vms 1 - 4
vm IdleMinInitPlace3	5 user randhost   # vms 5 - 9
vm PinnedInitPlace	4 user delayplace # vms 10 - 13
vm PinnedInitPlace      4 user delayplace # vms 14 - 17

event:place PinnedInitPlace1 2 DrmMidCpu1
event:place PinnedInitPlace2 2 DrmMidCpu1
event:place PinnedInitPlace3 2 DrmMidCpu1
event:place PinnedInitPlace4 2 DrmMidCpu1

event:place PinnedInitPlace10 4 DrmMidCpu1
event:place PinnedInitPlace11 4 DrmMidCpu1
event:place PinnedInitPlace12 4 DrmMidCpu1
event:place PinnedInitPlace13 4 DrmMidCpu1

event:place PinnedInitPlace14 5 DrmMidCpu1
event:place PinnedInitPlace15 5 DrmMidCpu1
event:place PinnedInitPlace16 5 DrmMidCpu1
event:place PinnedInitPlace17 5 DrmMidCpu1

numrounds=7
