# This test case is mainly written to test weight assignment between IO
# and space for diferent cases.
#
# 0.05 slope = 20000 IOPS, size 50000
datastore  LargeSpaceLargeIO  1
# 0.2 slope = 5000 IOPS, size 50000
datastore  LargeSpaceMediumIO  2

# All datastores have spaceutil > spacethreshold/2 but less than spaceThreshold
# LargeSpaceLargeIO1 is heavily loaded with IO using two kinds of disks
# First have medim space large IO and others with high space large IO
# If IO has high weight, there will only be 2 migrations of disk with large IOs
# Otherwise there will be more migrations using disks with large space
# This test case checks that we make IO based moves
#
vm VmWithMedDiskVeryHighIO	12	   user randhost/LargeSpaceLargeIO1
vm VmWithLargeSpaceLowIO	2	   user randhost/LargeSpaceLargeIO1
vm VmWithLargeSpaceLowIO	6	   user randhost/LargeSpaceMediumIO2
vm VmMedStorageWorkload		1	   user randhost/LargeSpaceMediumIO2
vm VmMedStorageWorkload		2	   user randhost/LargeSpaceMediumIO3
vm VmWithLargeSpaceLowIO	2	   user randhost/LargeSpaceMediumIO3

#Run storage simulation
storageSimulation=1
SpaceLoadBalancingImblThreshold=90
PollInterval=3600
numrounds=5

