# Expected results: 
# 1. One of the three InitPlaceMedCpuMin VMs in group5 will
# be rejected of powering on by RepairRedGroup() because group4 has only 
# 2000Mhz CPU reservation. 
# 2. Four of the ten IdleLargeMinInitPlace VMs should be removed by the 
# RemovePoweringOnVms() because 
# the cluster has 60000Mhz CPU capacity in total and two spare VMs reserves 
# 6000 * 2 = 12000 MHZ. The total VM reservation (including spares) is 
# 81000Mhz. With the four VMs removed, the total reservation is 57000Mhz.
# Then three of the remaining VMs should fail to power on in MapVm() because 
# there are 
# only five hosts in the cluster that can satisfy their reservation.
# 3. All other VMs should succeed in powering on.

group ExpandableGroup group1 user
group ExpandableGroup group2 group1
group MinGroup group3 group1
group MinGroup group4 user
group SmallExpandableGroup group5 group4
vm IdleMidMin 2 group1 randhost
vm InitPlaceMedCpuMin 3 group5 DrmMidCpu1
vm InitPlaceMedCpuMin 3 group2 randhost
vm InitPlaceRound3MedCpuMin 2 group3 randhost
vm IdleLargeMinInitPlace 10 user randhost

numrounds=5