# Expected events:
# In pass 1, DRS powers off all but one hosts.
# In pass 2, the first few CpuMemIdle VMs are placed on the powered on 
# host, and the rest trigger the power-on of an additional host.
# In pass 3, 2 hosts are recommended to power on and 16 evacuation moves are recommended for the 2 hosts to enter maintenance mode.

AvailPortsPerSwitch = 8

vm CpuMemIdle 16 user delayplace # vms 1 - 16

event:setadvoption PowerStarThreshold 2 5

event:place CpuMemIdle1 2 DrmMidCpu1
event:place CpuMemIdle2 2 DrmMidCpu1
event:place CpuMemIdle3 2 DrmMidCpu1
event:place CpuMemIdle4 2 DrmMidCpu1
event:place CpuMemIdle5 2 DrmMidCpu1
event:place CpuMemIdle6 2 DrmMidCpu1
event:place CpuMemIdle7 2 DrmMidCpu1
event:place CpuMemIdle8 2 DrmMidCpu1
event:place CpuMemIdle9 2 DrmMidCpu1
event:place CpuMemIdle10 2 DrmMidCpu1
event:place CpuMemIdle11 2 DrmMidCpu1
event:place CpuMemIdle12 2 DrmMidCpu1
event:place CpuMemIdle13 2 DrmMidCpu1
event:place CpuMemIdle14 2 DrmMidCpu1
event:place CpuMemIdle15 2 DrmMidCpu1
event:place CpuMemIdle16 2 DrmMidCpu1

event:hostdie DrmBigCpu11 5
event:hostdie DrmBigCpu14 5

numrounds=7
