#exclude default_hosts

# Each host has two 1GB pNics
# Drm2Pnics1 is overloaded by 2G (4 x 1G vNICs)
# Drm2Pnics2 has just enough vNICs
# The VMs with network reservation also has high shares and 2 vcpu
# making it attractive for DRS to choose those VMs over 0 net Res VMs.
# But because of network reservation, it cannot move those VMs.
# In pass 2 only one out of two 1.5G res VM should succeed.
# In pass 2 DrmNetVm0pt5GRes16 should fail to place because of teaming policy.
# Without the teaming policy, it can be placed on hosts 3, 4 or 5.
# 2GRes Vms should not be moved

host Drm2Pnics 5

vm DrmNetVm2GRes 1 user Drm2Pnics1
vm DrmNetVm2GRes 1 user Drm2Pnics1
vm DrmNetVm2GRes 1 user Drm2Pnics2
vm DrmNetVm0GRes 4 user Drm2Pnics3
vm DrmNetVm0GRes 4 user Drm2Pnics4
vm DrmNetVm1pt5GRes 1 user Drm2Pnics3
vm DrmNetVm1pt5GRes 1 user Drm2Pnics4
vm DrmNetVm1pt5GRes 2 user delayplace
vm DrmNetVm0pt5GRes 1 user delayplace

event:place DrmNetVm1pt5GRes14 2 randhost
event:place DrmNetVm1pt5GRes15 2 randhost
event:place DrmNetVm0pt5GRes16 2 randhost

numrounds = 3
NumUnreservedSlots = 0
Power = 0
