# This test case depicts one of the issues with using Standard deviation
# as the main criteria for selecting moves. In this case, imbalance is
# corrected by going from low to medium capacity datastores and then from 
# medium to high capcity datastore.
# Ideally we should go from low to high directly. 
# 3 datastore with space 1000, 400 and 100 GB
datastore  Space100gb  1
datastore  Space400gb  1
datastore  Space1000gb  1

# Each datastore is loaded with certain number of vms with identical disk size
# Initial pacement is highly imbalanced and they should get 
# distributed in ratio proportional to capacity
vm VmWithBigDiskLowIO		11	   user randhost/Space100gb1
vm VmWithBigDiskLowIO		11	   user randhost/Space400gb2
vm VmWithBigDiskLowIO		14	   user randhost/Space1000gb3

#Run storage simulation
# INFO: currently this test case doesn't behave as expected. It initially 
# migrates disks to the 400gb datstore instead of 1000gb one.
# The reason is the behavior of Standard deviation metric.
# Later it migrates from 400gb datastore to 1000gb datastore.
# Even if the imbalance threshold is set to 80, the first three migrations
# happen to 400gb datastore.
SpaceLoadBalancingImblThreshold=10
storageSimulation=1
PollInterval=3600
numrounds=10
