#
# A simple test for soft constraints. VMs are placed on one of the datastores in the cluster
# move costs to other datastores are not equal. We should see moves only to datastores
# with cost = 1 to balance out the cluster.
#

numrounds = 10
storageSimulation = 1
SetSpaceLoadToDatastoreUsedMB = 0

datastore Medium 5

datastoreSet costSet1 Medium1
datastoreSet costSet2 Medium2,Medium3
datastoreSet costSet3 Medium4
datastoreSet costSet4 Medium5

vm VmWithSmallSpaceLowIO 9 user randhost/Medium1

#event:eventName, set1, pass#, set2, cost
#event:clearStorageMoveCosts dummyVar 1
event:storageMoveCostChange costSet1 1 costSet2 1
event:storageMoveCostChange costSet1 1 costSet3 3
event:storageMoveCostChange costSet1 1 costSet4 4
event:storageMoveCostChange costSet2 1 costSet3 3
event:storageMoveCostChange costSet2 1 costSet4 4
event:storageMoveCostChange costSet3 1 costSet4 4


