#
#  Initial: Create VmMultiDisk[1-3] with affinity disabled.
#         Ensure each VM has placed VMDKs across all datastores.
#  Pass2: Enable affinity on all VMs
#
#  Expect: each VM is assigned to a datastore and all VMDKs converge at
#  that datastore. Furthermore, each datastore should be getting
#  a single VM
#

numrounds = 15
storageSimulation=1
SetSpaceLoadToDatastoreUsedMB=0

# Do not affine all disks by default
AffineAllDisksDefault=0

datastore Medium 3

vm VmMultiDisk		3	   user randhost/delayplace

event:place DefaultDisk1 1 Medium1
event:place DefaultDisk2 1 Medium2
event:place DefaultDisk3 1 Medium3
event:place DefaultDisk4 1 Medium1
event:place DefaultDisk5 1 Medium2
event:place DefaultDisk6 1 Medium3
event:place DefaultDisk7 1 Medium1
event:place DefaultDisk8 1 Medium2
event:place DefaultDisk9 1 Medium3

event:affineAllDisks VmMultiDisk1 3 on
event:affineAllDisks VmMultiDisk2 3 on
event:affineAllDisks VmMultiDisk3 3 on


