#
#  Pass1: LB will move StorageWorkload3 vmdks onto 2 datastores for load balancing.
#  Pass2: Create StorageWorkload1 and 2 with affinity enable. Ensure each VM
#         is placed on a single DS.
#  Pass3: Enable affinity on StorageWorkload3. Ensure its disks are moved together.
#  Pass4: Medium2 goes into maintenance mode. Ensure vmdks move together.
#  Pass6: Medium2 exits mm. Ensure LB moves vmdks together.

numrounds = 10
storageSimulation=1

# Do not affine all disks by default
AffineAllDisksDefault=0

datastore Medium 2

vm StorageWorkload		1	   user randhost/delayplace
vm StorageWorkload		1	   user randhost/delayplace 
# In round 1, 2 VMDKs will be in Medium1 and will be load balanced
vm StorageWorkload		1	   user randhost/Medium1 

event:affineAllDisks StorageWorkload1 2 on
event:affineAllDisks StorageWorkload2 2 on

event:place DefaultDisk1 2 Medium1
event:place DefaultDisk2 2 Medium2
event:place DefaultDisk3 2 Medium1
event:place DefaultDisk4 2 Medium2

event:affineAllDisks StorageWorkload3 3 on


event:hostStateChange Medium2 4 DRM_HOST_GOING_DOWN
event:hostStateChange Medium2 6 DRM_HOST_OK

event:setadvoption SetSpaceLoadToDatastoreUsedMB 1 0
