class UnknownToolException(Exception):
    pass

def getTool(toolname, *args, **kwargs):
    try:
        mod = __import__(UnknownToolException.__module__ + "." + toolname,
                         fromlist=["DumpTool"])
        cls = mod.DumpTool
    except ImportError, e:
        cls = None

    if cls is None:
        raise UnknownToolException(toolname)
    return cls(*args, **kwargs)
