#!/usr/bin/python

import sys, random, os, popen2

hfile = open("hosts.txt", "r")
hlist = [l.strip() for l in hfile.readlines()]

def remotecmd(host, cmd):
    print "executing ssh host %s" % (cmd)
    os.system("ssh %s '%s'" % (host, cmd));

def getremotefile(host, f):
    outstrm, instrm = popen2.popen2("ssh %s 'cat %s'" % (host, f))
    return outstrm.readlines()

def addgroup(larray):
    name, parent, shares, minPct, maxPct = larray
    for h in hlist:
        print "adding group", name, "to host", h
        remotecmd(h, "echo mk %s %s > /proc/vmware/sched/groups" % (name,parent))
        remotecmd(h, "echo alloc %s cpu %s %s %s > /proc/vmware/sched/groups" % (name, minPct, maxPct, shares))

def addvm(larray):
    twRun = random.randrange(5,20)
    twPeriod = random.randrange(twRun+0, twRun+15)
    name, parent, shares, minPct, maxPct, lbrack, cfg, rbrack = larray
    hnum = random.randrange(0,len(hlist))
    # bias towards host number 0
    if random.randrange(0,2) == 0:
        hnum = 0
    h = hlist[hnum]
    print "adding vm", name, "to host ", h
    oldgroups = {}
    drmstats = getremotefile(h, "/proc/vmware/sched/drm-stats")
    for l in drmstats:
        gid = l.split()[0]
        oldgroups[gid] = 1
    remotecmd(h,
              "echo start 1 %s %d %d %s > /proc/vmware/testworlds/timer-based"
              % (shares, twRun, twPeriod, parent))
    drmstats = getremotefile(h, "/proc/vmware/sched/drm-stats")
    
    # find this new group's name
    newGrp = None
    for l in drmstats:
        gid = l.split()[0]
        if not oldgroups.has_key(gid):
            # we found the new group
            newline = l.replace("(","").replace(")","")
            newlinesplit = newline.split()
            newGrp = newlinesplit[-2]
            if newGrp[0:3] != "tw.":
                print "invalid name: ", newGrp
                newGrp = None
            else:
                break
    if not newGrp:
        print "couldn't find new group for", name
        return False

    # rename it to the desired name
    remotecmd(h, "echo rename %s %s > /proc/vmware/sched/groups" % (newGrp, name))

    # setup min/max
    remotecmd(h, "echo alloc %s cpu %s %s %s > /proc/vmware/sched/groups" % (name, minPct, maxPct, shares))


# stop all earlier testworlds
for h in hlist:
    remotecmd(h, "echo stop > /proc/vmware/testworlds/timer-based")

rfile = open("resources.txt", "r")
for l in rfile.readlines():
    thisline = l.split()
    if thisline[0] == "group":
        addgroup(thisline[1:])
    elif thisline[0] == "vm":
        addvm(thisline[1:])

