#exclude default_hosts
host DrmMidCpu  5

# This test creates an affinity group with a pinned VM. An anti affinity 
# VM with on of the vms in the affinity set is placed on the same host 
# with pinned vm and hence the third step of GetJointAffinity is invoked.
# Since the affinitySet contains a pinned VM, it tests if createVmotion function
# skips this VM when the entire affinitygroup is passed to it.
# This test case also has other affinity sets that exercises other parts of
# GetJointAffinity.
# At the end of this test the following VMs must be on the same host
# 1 3 9
# 2 5 10
# 4 8 11
# 6 7 12
#  
vm PinnedThirdWorkload                 1       user DrmMidCpu2 # vm 1
vm ManualThirdWorkloadMin              1       user DrmMidCpu4 # vm 2
vm AffineToFirstMin		       1       user DrmMidCpu4 # vm 3
vm ManualThirdWorkloadMin              1       user DrmMidCpu1 # vm 4
vm AffineToSecondMin		       1       user DrmMidCpu3 # vm 5
vm ManualThirdWorkloadMin              1       user DrmMidCpu2 # vm 6
vm AffineToSixthMin		       1       user DrmMidCpu1 # vm 7
vm AffineToFourthMin		       1       user DrmMidCpu3 # vm 8
vm AffineToFirstAntiAffinSixMin	       1       user DrmMidCpu3 # vm 9
vm AffineToSecondMin		       1       user DrmMidCpu4 # vm 10
vm AffineToFourthMin		       1       user DrmMidCpu2 # vm 11
vm AffineToSixthMin		       1       user DrmMidCpu1 # vm 12

numrounds = 3
NumUnreservedSlots = 0
