# Check for DRM_SUCCESS_AT_LEAST_ONE(9) in pass 1 (cluster has no capacity)
if not RegxMatch("MapVm did not succeed for all VMs error 9", "pass == 1"):
   print "Did not get DRM_SUCCESS_AT_LEAST_ONE(9) error code from MapVm in pass 1"
   fail = 1

# Check InsufficientResourcesFault is generated for the vm that can't be placed
faults = RegxExtract("DrmFault: reason powerOnVm, vm (\S+), host (\S+), fault .+InsufficientResourcesFault*", "pass==1")
size = len(faults)
if size == 0:
   print "Expected InsufficientResourcesFault not found in pass 1"
   fail = 1

if size != 1:
   print "Expected InsufficientResourcesFault for only one vm. But found "+str(size)
   fail = 1

#Check that the new vm placed successfully in pass 3 after adding new host
if not RegxMatch("MapVm succeeded for all vms", "pass == 3"):
   print "Did not get successful placement message in pass 3"
   fail = 1
