disks = RegxExtract("Launching vm (\S+) disk (\S+) diskId (\S+) DrmId (\S+) on datastore", "pass>=1")
size = len(disks)
if size != 48:
	print "48 disks expected to be created. Got ", size, "."
	fail = 1

vms = RegxExtract("launching vm (\S+) on host", "pass>=1")
size = len(vms)
if size != 33:
	print "33 vms expected to be powered on. Got ", size, "."
	fail = 1

# Make sure the zero-cpu-cap datastore is passed into the algorithm.
zeroCap = RegxExtract("Datastore LargeSpaceMediumIO5 has 0 cpu capacity")
if not zeroCap:
        print "Zero-cap datastore is not passed into the algorithm."
        fail = 1

# Make sure that no VMs are placed on the zero-cpu-cap datastore
zeroCapPlace = RegxExtract("Storage placement: vm \S+, disk \S+, datastore 5")
if zeroCapPlace:
        print "VMs are placed on the zero-cap datastore"
        fail = 1

