#
# pass/fail criteria for hostDSconnect test
#

s = RegxExtract("from DS Medium1", "pass==3")
if len(s) == 0:
    print "datastoreMaint didn't evacuate Medium1 in pass 3"
    fail = 1

for p in [1, 2, 3, 4, 5, 6]:
    vmloc = RegxExtract("vm (\D+)(.+) datastore (\S+)", "pass=%d" % p)
    for loc in vmloc:
        vmid = loc[0]
        dsid = loc[2]
        if dsid == 'Medium5':
            print 'not expecting any vmdk placed on Medium5 (not connected) %s %d' % (vmid, p)
            fail = 1
        if ((vmid == 'VmMedStorageWorkload') and
            (dsid == 'Medium3' or dsid == 'Medium4') and
            (p < 4)):
            print 'VmMedStorageWorkload is misplaced: %s %d' % (dsid, p)
            fail = 1
        if ((vmid == 'StorageWorkload') and
            (dsid == 'Medium1' or dsid == 'Medium2') and
            (p < 2)):
            print 'StorageWorkload is misplaced: %s %d' % (dsid, p)
            fail = 1
