# Check FT limit applied to FT VMs placement
ftvms = RegxExtract("vm:PlaceRound2FTVM\d+ on host:(\S+)", "pass==2")
size = len(ftvms)
if size != 2:
   print "2 FT VMs expected to be powered on", size
   fail = 1
if ftvms[0] != "DrmMidCpu1":
   print "Expected: First FT VM placed in DrmMidCpu1 in pass 2"
   fail = 1
if ftvms[1] != "DrmMidCpu2":
   print "Expected: Second FT VM placed in DrmMidCpu2 in pass 2"
   fail = 1

# Check all-VMs limit applied to any VMs placement
morevms = RegxExtract("vm:TinyIdle\d+ on host:(\S+)", "pass==3")
size = len(morevms)
if size != 2:
   print "2 VMs expected to be powered on", size
   fail = 1
if morevms[0] != "DrmMidCpu1":
   print "Expected: First VM placed in DrmMidCpu1 in pass 3"
   fail = 1
if morevms[1] != "DrmMidCpu2":
   print "Expected: Second VM placed in DrmMidCpu2 in pass 3"
   fail = 1
