# Check for DRM_SUCCESS_AT_LEAST_ONE(9) in pass 1 (cluster exceeded vcpu limit)
if not RegxMatch("MapVm did not succeed for all VMs error 9", "pass == 1"):
   print "Did not get DRM_SUCCESS_AT_LEAST_ONE(9) error code from MapVm in pass 1"
   fail = 1

# Check that the vm placement failed because of the vcpu limit placed
faults = RegxExtract("DrmFault: reason powerOnVm, vm (\S+), host (\S+), fault .+NumVirtualCpusExceedsLimit*", "pass == 1")
size = len(faults)
if size == 0:
   print "Expected NumVirtualCpusExceedsLimit fault not found in pass 1"
   fail = 1

if size != 1:
   print "Expected NumVirtualCpusExceedsLimit fault for only one vm. But found "+str(size)
   fail = 1

# Check that the new vm gets placed successfully after changing the vcpu limit
if not RegxMatch("MapVm succeeded for all vms", "pass == 3"):
   print "Did not get successful placement message in pass 3"
   fail = 1
