# The check is done one pass after when they are placed as if the
# init place action is dependent on migrations, the simulator waits
# until the migrations are completed before executing the power on.

# todo: re-enable test for host admission failure once the recursive step is re-enabled for GetHostAdmissionMoves()
modifiers["SkipHostAdmission"] = 1

InitPlaceMedCpuMin =  RegxExtract("vm:InitPlaceMedCpuMin\d+ on host:(\S+)","pass==2")

InitPlaceRound3MedCpuMin =  RegxExtract("vm:InitPlaceRound3MedCpuMin\d+ on host:(\S+)","pass==5")

IdleLargeMinInitPlace =  RegxExtract("vm:IdleLargeMinInitPlace\d+ on host:(\S+)","pass==5")

if len(InitPlaceMedCpuMin) != 5:
	print "InitPlaceMedCpuMin", len(InitPlaceMedCpuMin)
	fail = 1

if len(InitPlaceRound3MedCpuMin) != 2:
	print "InitPlaceRound3MedCpuMin", len(InitPlaceRound3MedCpuMin)
	fail = 1

if len(IdleLargeMinInitPlace) != 3:
	print "IdleLargeMinInitPlace", len(IdleLargeMinInitPlace)
	fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

