#Check to see if there are any moves in even passes. Well, pass 2 might be different from pass 1, since the shared memory of migrating VMs are counted differently once the migrations complete. So check for pass>2 to avoid false alarms.
# Also the check is for recommendation, the actual recommendation may be executed in the next pass if there are dependencies.

# Removing the check for moves in even passes. After modifying the DRS simulator to use a shared random number generator 
# implementation across Linux and Windows, we get a different sequence of random numbers and consequently different sequences 
# of actions from the algorithm. As such, it is not clear whether "no moves on even numbered passes" is still reasonable
# pass-criteria for this test.
'''
for p in range(4,11):
  if RegxMatch("ProposeActions issued", "pass == %d"%(p)):
# Check whether it's an even pass or whether moves in the previous pass were rejected due to pending actions.
    if (p % 2 == 0) and not RegxMatch("ConflictsWithPendingActions: reject proposal.", "pass == %d"%(p-1)):
      print "Moves in pass", p
      fail = 1
'''
#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
