# This test case verifies the expected behavior.
# Ideally we should have nummigrations = 8 and size1to2 = 0
disks = RegxExtract("starting storage migration of vm (\S+) vmdk (\S+)")
size = len(disks)
if size != 8:
	print "Space-lb1: Ideally, 8 Disks should migrate. Got ", size
	fail = 1
disks1to3 = RegxExtract("starting storage migration of vm (\S+) vmdk (\S+) from DS Space100gb1 to DS Space1000gb3")
disks2to3 = RegxExtract("starting storage migration of vm (\S+) vmdk (\S+) from DS Space400gb2 to DS Space1000gb3")
disks1to2 = RegxExtract("starting storage migration of vm (\S+) vmdk (\S+) from DS Space100gb1 to DS Space400gb2")
size1to3 = len(disks1to3)
size1to2 = len(disks1to2)
size2to3 = len(disks2to3)
if size1to3 != 8:
	print "8 Disks expected to move from small to large. Got ", size1to3
	fail = 1
if size1to2 != 0:
	print "0 Disks expected to move from small to medium. Got ", size1to2
	fail = 1
if size2to3 != 0:
	print "0 Disks expected to move from medium to large. Got ", size2to3
	fail = 1
