repairRedGroup = "RepairRedGroup: group user, rsc mem"
droppingSpare = "CheckCapacity: removing spare VM"
powerOnFault = "DrmFault: reason powerOnVm, vm HighlyVariableLoadMin., host " \
               "(\S+), fault .+InsufficientMemoryResourcesFault*"

# Pass 1: Check if CheckAndFix code called
if not RegxMatch(repairRedGroup, "pass==1"):
   print "Pass 1: RepairRedGroup not attempted"
   fail = 1

# Spare VMs should be dropped to accomodate other VMs
spares = RegxExtract(droppingSpare, "pass==1")
if len(spares) != 10:
   print "Pass 1:", len(spares), " spare VMs dropped, expected 10"
   fail = 1

# Pass 2: Check that the powerOn failed as expected
powerOn = RegxExtract(powerOnFault, "pass==2")
if len(powerOn) != 1:
   print "Pass 2: Power on expected to fail. Found ", len(powerOn)," faults"
   fail = 1

# Pass 4: Check that the powerOn failed as expected
powerOn = RegxExtract(powerOnFault, "pass==4")
if len(powerOn) != 1:
   print "Pass 4: Power on expected to fail. Found ", len(powerOn)," faults"
   fail = 1
