
sw3disks = RegxExtract("vm:StorageWorkload3:(\S+) on host:(\S+)", "pass==4")
if sw3disks[0][1] == sw3disks[1][1]:
   print "Intra VM anti affinity rule for StorageWorkload3 not satisfied"
   fail = 1

# Make sure MapVm places the disk satisfying Inter-Vm anti affinity
sw1disks = RegxExtract("vm:StorageWorkload1:(\S+) on host:(\S+)", "pass==2")
sw2disks = RegxExtract("vm:StorageWorkload2:(\S+) on host:(\S+)", "pass==2")
for sw1disk in sw1disks:
   for sw2disk in sw2disks:
      if sw1disk[1] == sw2disk[1]:
         print "StorageWorkload1 disk and StorageWorkload2 disk on same datastore"
         fail = 1

