#
# pass criteria for vmdkAntiAffineCorrelationNeg
#

#
# Extract number of simulation rounds
#
numRounds = 0

roundEx = RegxExtract("dummydrm finished (\d+) rounds")
if len(roundEx) == 1:
    numRounds = int(roundEx[0])
else:
    print 'Test did not complete'
    fail = 1

corrEx = 'soft constraint violation'
constrDropEx = 'Dropping constraint'

for currRound in range(1,3):
    #
    # In all rounds, atleast one soft constraint should fail
    #
    migs = RegxExtract(corrEx, "pass=%d" % currRound)

    if not migs:
        print 'No soft constraint violation in round %d' % currRound
        fail = 1


currRound = 4
drop = RegxExtract(constrDropEx, "pass=%d" % currRound)
if currRound == 4 and not drop:
    # In fourth round, everything is correlated. So soft constraint
    # must get dropped to find moves.
    print 'No constraints dropped in round %d as expected' % currRound
    fail = 1
