# five identical datastores
datastore Medium 5

# partition datastores into two equal sets
datastoreSet setA Medium1,Medium2
datastoreSet setB Medium3,Medium4
datastoreSet setAB Medium1,Medium2,Medium3,Medium4

# two hosts, each can see datastores in only one of the sets
#exclude default_hosts
host DrmBigCpu 1 DRM_HOST_OK setA
host DrmMidCpu 1 DRM_HOST_OK setB

# 10 identical vms are placed in the first datastore in each set
vm VmMedStorageWorkload 4 user DrmBigCpu1/Medium1
vm StorageWorkload 4 user DrmMidCpu2/Medium3

# Put datastore Medium1 into mmode at round 3
event:hostStateChange Medium1 3 DRM_HOST_GOING_DOWN

# make setA visible to DrmMidCpu1 at round 5
event:datastoreSetChange DrmMidCpu2 2 setAB

# make setB visible to DrmBigCpu11 at round 10
event:datastoreSetChange DrmBigCpu1 4 setAB

#Run storage simulation
storageSimulation=1
PollInterval=60
numrounds=6
SetSpaceLoadToDatastoreUsedMB=0