#exclude default_hosts

host DrmSmallCpu    2
vm   SmallCpuMemMin 3 user delayplace

numrounds=4
RequireMinCapOnStrictHaAdmit=1
MigrationThreshold=1

# round 1: no VMs running, both hosts entering standby, spares placed on
# DrmSmallCpu1, which is then mapped to standby & gets power-on rec.
event:hostStateChange DrmSmallCpu1 1 DRM_HOST_ENTER_STANDBY
event:hostStateChange DrmSmallCpu2 1 DRM_HOST_ENTER_STANDBY

# round 3: power on 3 VMs on ok host, requires moving spares
event:setadvoption MinPoweredOnMemCapacity 3 4096
event:setadvoption NumUnreservedSlots 3 6
event:place SmallCpuMemMin1 3 DrmSmallCpu1
event:place SmallCpuMemMin2 3 DrmSmallCpu1
event:place SmallCpuMemMin3 3 DrmSmallCpu1

