# This test case is mainly written to test the control  of a new advanced option
# that reduces the weight of space goodness in case space utilization is
# below the half of spaceutilthreshold
#
# 3 datastore with slope ratio 4:1:1
# 0.05 slope = 20000 IOPS
datastore  LargeSpaceLargeIO  1
# 0.2 slope = 5000 IOPS
datastore  LargeSpaceMediumIO  2

# all datastores have spacve util < spacethreshold/2
# LargeSpaceLargeIO1 is heavily loaded with IO
# LargeSpaceMediumIO2 has higher space util but lower IO util
# LargeSpaceMediumIO3 has low space utilization but higher IO utilization as
# compared to LargeSpaceMediumIO2
#
vm VmWithMedDiskHighIO		16	   user randhost/LargeSpaceLargeIO1
vm VmWithLargeSpaceLowIO	4	   user randhost/LargeSpaceMediumIO2
vm VmMedStorageWorkload		1	   user randhost/LargeSpaceMediumIO2
vm VmMedStorageWorkload		2	   user randhost/LargeSpaceMediumIO3

#Run storage simulation
storageSimulation=1
SpaceLoadBalancingImblThreshold=90
# Setting this to zero will make the recommendation to LargeSpaceMediumIO2
# otherwise if set to 100, the LargeSpaceMediumIO3 will get recommended
SecondaryMetricWeightMult=0
PollInterval=3600
numrounds=5

