# small has 0.5 slope = 2000 IOPS
datastore  LargeSpaceLowIO  2
# medium has 0.2 slope = 5000 IOPS
datastore  LargeSpaceMediumIO  2

# Datastores are loaded with small number of vms with identical
# workloads. There is imbalance in the system because datastores have
# different capabilities. 
vm MedStorageWorkload		3	   user randhost/LargeSpaceLowIO1
vm MedStorageWorkload		3	   user randhost/LargeSpaceLowIO2
vm MedStorageWorkload		3	   user randhost/LargeSpaceMediumIO3
vm MedStorageWorkload		3	   user randhost/LargeSpaceMediumIO4

vm VmWithBigDiskHighIO		2	   user randhost/LargeSpaceLowIO1
vm VmWithBigDiskHighIO		2	   user randhost/LargeSpaceLowIO2
vm VmWithBigDiskHighIO		2	   user randhost/LargeSpaceMediumIO3
vm VmWithBigDiskHighIO		2	   user randhost/LargeSpaceMediumIO4

# Run storage simulation with high imbalance threshold
# No moves should be recommended because the imbalance < imbalance threshold.
storageSimulation=1
IoLoadBalancingImblThreshold=30
PollInterval=3600

# change the threshold to 0.05 in round 5 to get three moves in round 5
event:setadvoption IoLoadBalancingImblThreshold 5 5

numrounds=10
