# Expected events:
# In pass 0, the mins of insanegroup and InsaneVariable14 are set to their maxes.
# In pass 1, 2 out of the 3 FullBusyLargeMin VMs are powered on.
# In pass 2, 4 out of the 6 FullBusyHighShare VMs are powered on.

group SmallMaxCpuGroup mygroup user
vm UniFullBusy		        2         mygroup DrmMidCpu1 # vms 1 - 2
vm TwentyPctWorkload            2         mygroup DrmMidCpu1 # vms 3 - 4

group InsaneGroup insanegroup user
vm FullBusyLargeMin 3 insanegroup delayplace # vms 5 - 7
vm FullBusyHighShare 6 insanegroup delayplace # vms 8 - 13

vm InsaneVariable 1 user DrmMidCpu1 # vm 14

event:place FullBusyLargeMin5 1 DrmMidCpu1
event:place FullBusyLargeMin6 1 DrmMidCpu1
event:place FullBusyLargeMin7 1 DrmMidCpu1

event:place FullBusyHighShare8 2 DrmMidCpu1
event:place FullBusyHighShare9 2 DrmMidCpu1
event:place FullBusyHighShare10 2 DrmMidCpu1
event:place FullBusyHighShare11 2 DrmMidCpu1
event:place FullBusyHighShare12 2 DrmMidCpu1
event:place FullBusyHighShare13 2 DrmMidCpu1

numrounds = 4
MemOverheadGrowth = 1
MigrationThreshold = 2
