#exclude default_hosts
host NetDrs2Pnics       2

# Basic test
# Scenario - two hosts each with 1 VM
# The 2 VMs are identical in CPU and Mem usage but
# one VM uses more network resources than the other
# on NetDrs2Pnics1 we place a VM that will have "high" network use
# on NetDrs2Pnics2 we place a VM that will have "low" network use
# Poweron a new VM. We expect it to favor NetDrs2Pnics2

vm NetDrsVmStableComputeHighNet 1 user NetDrs2Pnics1
vm NetDrsVmStableComputeLowNet 1 user NetDrs2Pnics2
vm NetDrsVmStableComputeLowNet 1 user delayplace

event:place NetDrsVmStableComputeHighNet1 1 NetDrs2Pnics1
event:place NetDrsVmStableComputeLowNet2 1 NetDrs2Pnics2
event:place NetDrsVmStableComputeLowNet3 1 randhost

numrounds=2
NetworkAwareDrs=1