# At round 3, there will only be a single big host running; at that
# point, put all big hosts in maintenance mode.  Observe that a
# standby host is chosen for power on in that round.

NumUnreservedSlots = 0
event:hostdie DrmBigCpu11 3
event:hostdie DrmBigCpu12 3
event:hostdie DrmBigCpu13 3
event:hostdie DrmBigCpu14 3
event:hostdie DrmBigCpu15 3

# At round 5, all of the remaining hosts but one become unconnected
# Will see a power on for spare VM
event:setadvoption NumUnreservedSlots 4 2
event:hostcrash DrmMidCpu1 5
event:hostcrash DrmMidCpu2 5
event:hostcrash DrmMidCpu3 5
event:hostcrash DrmMidCpu5 5
event:hostcrash DrmSmallCpu6 5
event:hostcrash DrmSmallCpu7 5
event:hostcrash DrmSmallCpu8 5
event:hostcrash DrmSmallCpu9 5
event:hostcrash DrmSmallCpu10 5

# At round 6, the final host crashes, resulting in cluster w/0 resources,
# which results in CheckDomain reporting InvalidState fault
event:hostcrash DrmMidCpu4 6
event:setadvoption NumUnreservedSlots 6 0
vm BigCpuMin 1 user delayplace
event:place BigCpuMin1 6 DrmBigCpu11

numrounds=6
