# Simple test for reservation balance. 2 datastores with 5000 IOPS using 100%
# of capacity for reservation.
# - 3 VMs with 2000 IOPS reserved each in datastore 1 and,
# - 2 VMs with 1000 IOPS reserved each in datastore 2.
# All VMs have the same IO load. We should see one move from datastore 1 to 2
# to be able to meet reservations again.

datastore LargeSpaceMediumIO 2

vm VmWithMedRes		3	   user randhost/LargeSpaceMediumIO1
vm VmWithLowRes		2	   user randhost/LargeSpaceMediumIO2

storageSimulation=1
PollInterval=3600
numrounds=2
