# Vmotion under resource pool
# This check forces VMs under RP to move and
# checks if the Resource pool gets deleted on the 
# host after the VM moves off.

#exclude default_hosts

host DrmMidCpu 3

group ExpandableGroup group1 user
group ExpandableGroup group2 group1
group ExpandableGroup group3 group1

vm InitPlaceMedCpuMin 1 group1 randhost
vm CostBenifitLow 1 group2 randhost
vm CostBenifitLow 1 group3 randhost

event:hostStateChange DrmMidCpu1 4 DRM_HOST_GOING_DOWN
event:hostStateChange DrmMidCpu3 4 DRM_HOST_GOING_DOWN

numrounds=8
NumUnreservedSlots=0
