# Space balance and init place test with dedupe datastores

# 6 datastores
datastore  MediumSpaceHighDedupe  3
datastore  MediumSpaceLowDedupe   3

# 3 dedupe pools with 2 datastores each
datastoreSet HighDedupePool MediumSpaceHighDedupe1,MediumSpaceHighDedupe2
datastoreSet LowDedupePool  MediumSpaceLowDedupe4,MediumSpaceLowDedupe5
datastoreSet MixDedupePool  MediumSpaceHighDedupe3,MediumSpaceLowDedupe6

# 3 disks for placement later on
vm VmWithThickDisk           10    user delayplace/delayplace

# each datastore has 5000 MB committed, 5000 MB to go
vm StorageWorkload		     5	 user randhost/MediumSpaceHighDedupe1
vm StorageWorkload		     5	 user randhost/MediumSpaceHighDedupe2
vm StorageWorkload		     5	 user randhost/MediumSpaceHighDedupe3
vm StorageWorkload		     5	 user randhost/MediumSpaceLowDedupe4
vm StorageWorkload		     5	 user randhost/MediumSpaceLowDedupe5
vm StorageWorkload		     5	 user randhost/MediumSpaceLowDedupe6

# place new Vms at round 10
# The datastore is a placeholder, SDRS picks the DS to place
event:place ThickDisk1 10 MediumSpaceLowDedupe1
event:place ThickDisk2 10 MediumSpaceLowDedupe1
event:place ThickDisk3 10 MediumSpaceLowDedupe1
event:place ThickDisk4 10 MediumSpaceLowDedupe1
event:place ThickDisk5 10 MediumSpaceLowDedupe1
event:place ThickDisk6 10 MediumSpaceLowDedupe1
event:place ThickDisk7 10 MediumSpaceLowDedupe1
event:place ThickDisk8 10 MediumSpaceLowDedupe1
event:place ThickDisk9 10 MediumSpaceLowDedupe1
event:place ThickDisk10 10 MediumSpaceLowDedupe1

SpaceLoadBalancingImblThreshold=10
storageSimulation=1
PollInterval=3600
numrounds=15
