# In the beginning, Space100gb1 is 100% utilized in space, and
# Space100gb2 is empty. 4 LargeSpaceLowIO disks are expected to move
# to Space100gb2 because they have lower IO than LargeSpaceHighIO and
# larger space or payload than SmallSpaceLowIO.

# 100000 MB capacity each, 200000 MB in total on Space100gb datastores
datastore Space100gb 2

# Each LargeSpaceHighIO consumes 5000 MB. 40000 MB in total. Initially
# on datastore Space100gb1.
vm VmWithBigDiskHighIO 8 user randhost/Space100gb1
# Each LargeSpaceLowIO consumes 5000 MB. 40000 MB in total. Initially
# on datastore Space100gb1.
vm VmWithLargeSpaceLowIO 8 user randhost/Space100gb1
# Each SmallSpaceLowIO consumes 1000 MB. 20000 MB in total. Initially
# on datastore Space100gb1.
vm VmWithSmallSpaceLowIO 20 user randhost/Space100gb1

#Run storage simulation
storageSimulation=1
PollInterval=1800 # Run every 30 minutes
numrounds=3

event:setadvoption SetSpaceLoadToDatastoreUsedMB 1 0
