# 2000 MB capacity each, 40 GB in total on Small datastores
datastore  SmallSpaceLargeIO   20
# 10000 MB capacity each, 200 GB in total on Medium datastores
datastore  MediumSpaceLargeIO  20

# Each FastGrowThinDisk starts with 100 MB and grows to 2 GB in roughly 
# 30 hours. This simulates initial installation activities in VMs.
vm VmWithFastGrowThinDisk		40	   user randhost/randdatastore
# Each SlowGrowThinDisk starts with 500 MB and grows to 2 GB in roughly 
# 80 hours. This simulates VMs with steady I/O activities.
vm VmWithSlowGrowThinDisk		40	   user randhost/randdatastore
# Each ThickDisk consumes 2 GB.
vm VmWithThickDisk		40	   user randhost/randdatastore

# In the end of 80 hours, a total of 240 GB will be consumed by the VMs, i.e.,
# the space on all datastores will be fully utilized. But no VMs should be 
# stunned due to space outage if load balancing works effectively.

#Run storage simulation
storageSimulation=1
PollInterval=1800 # Run every 30 minutes
PollIntervalDrs=7200 # Run Drs only every 4 hours or when space is above threshold
numrounds=80 # Total runtime = 30 minutes * 80 = 2400 minutes = 40 hours

event:setadvoption SetSpaceLoadToDatastoreUsedMB 1 0
