# Simple test for reservations. 5 datastores with 2620 IOPs each, placement of 12
# VMs each with 1000 IOPs reservation. Last two placements should fail

# Datastores with 10 GB each, ~2620 IOPs

datastore MediumRestrictedIops 5

# 1000 MB disk, 1000 IOPs reservation, light workload
vm VmWithLowRes                       12         user randhost/delayplace


# Run storage simulation

event:place MedWorkloadLowResv1 1 randdatastore
event:place MedWorkloadLowResv2 1 randdatastore
event:place MedWorkloadLowResv3 1 randdatastore
event:place MedWorkloadLowResv4 1 randdatastore
event:place MedWorkloadLowResv5 1 randdatastore


event:place MedWorkloadLowResv6 2 randdatastore
event:place MedWorkloadLowResv7 2 randdatastore
event:place MedWorkloadLowResv8 2 randdatastore
event:place MedWorkloadLowResv9 2 randdatastore
event:place MedWorkloadLowResv10 2 randdatastore

event:place MedWorkloadLowResv11 3 randdatastore
event:place MedWorkloadLowResv12 3 randdatastore

storageSimulation=1
PollInterval=1000
numrounds=10

