
#exclude default_hosts

# This test has two hosts and 4 VMs with 2 on each host
# No host can run more than 2 VMs due to reservation.
# The VMs on the first host are anti-affined. DRS should
# not swap VMs such that any host reservation is violated
# which will trip an assert in the simulator.
#
# Expected outcome: No assert should be tripped in the simulator
#
host DrmMidCpu 2

vm IdleMinInitPlaceAnt	1   user DrmMidCpu1
vm IdleMinInitPlaceAnta	1   user DrmMidCpu1
vm IdleMinInitPlaceAnt	2   user DrmMidCpu2


