# Note that DRMTEST_LIST engenders a command line that is more than 2K
# characters, exceeding the windows 2000 limit; execution of this
# command on windows 2000 is no longer considered supported.
ifdef DRMTEST_STORAGE
DRMTEST_LIST = lbStorage \
               testStor \
	       spaceGrowth \
	       ioCostBenefit \
	       ioCostBenefit-2 \
               storInitPlace \
	       checklat \
               datastoreMaint \
	       ioimbal \
	       lthreshold \
	       io-lb1 \
	       space-lb1 \
               vmdkAffine \
               vmdkAffine-2 \
               vmdkAntiAffine \
               vmdkAntiAffineFault \
               vmdkAntAfVio \
	       hostDSconnect \
	       coPlace \
	       spaceCostBenefit \
	       noslope \
	       ioLbShares \
	       io-space1 \
	       io-space2 \
               zeroio \
	       clone \
	       vmdkAntiAffineCorrelation \
	       space-dedupe \
	       migratetime \
	       storWithResInitPlace \
	       reservImbal \
	       reservBalanced \
               vmdkAntiAffineCorrNeg \
	       storageMoveCost \
else
DRMTEST_LIST = fullbusy \
		jointaffin \
		fbusy_initplace \
		fbusy_hdie \
		simplegroups \
		minlimit \
                memmig \
                memmigVar \
		poweronaffin \
		poweronaffinfc \
		maxcpu \
		var1 \
		thrash2 \
		quasi040 \
		quasimanual \
		antiaffin \
		shareschange \
                costbenefit \
                powerBasic \
		idle_initplace \
		altHost \
		powerAdmit \
		powerMove \
		powerCap \
		powerCapChange \
		dpmConverge \
		dpmcb \
		excessDemand \
		powerNoVms \
		defrag \
                initPlaceSort \
		initPlacePin \
                initSortAffin \
                initFixAffin \
                spareVmHostOn \
		recNoPowerOff \
		cpuMemWeight \
		checkEnterMaint \
		enterStandby \
		hostVmRec \
                powerCB \
                powerCB1 \
                powerCB2 \
                powerCB3 \
		powerCB4 \
		powerCBMem \
		atomicDepInit \
		fivestar \
		affinStress \
		compatHost \
		rpVmotion \
                testVmSwap \
		networkPorts \
		agentVms \
		initPlaceFT \
                niocBasic \
                niocAdvanced \
                groupFTPlace \
                initVmsPerEsx \
                hostMemOvercommit \
		clusterMemOvercommit \
		maxVcpuPerCluster \
		netdrsbasic \
		netdrsLb2
endif

ifdef DRMTEST_STRESS
DRMTEST_LIST += maxstress
endif

# Runs only the scale tests
ifdef DRMTEST_SCALE
DRMTEST_LIST =  32Host1050Vm \
                32Host5000Vm \
                32Host5000VmCons
endif
