# This test will test the case when Affinity rule is violated and VMDKs are
# on seperate datastore and the VM has inter-VM anti affinity.


numrounds = 10
storageSimulation=1
# Do not affine all disks by default
AffineAllDisksDefault=0

datastore Medium 3

vm StorageWorkload		1	   user randhost/delayplace
vm StorageWorkload		1	   user randhost/delayplace 
# In round 1, 2 VMDKs will be in Medium1 and will be load balanced
vm StorageWorkload		1	   user randhost/Medium1 


event:place DefaultDisk1 2 Medium1
event:place DefaultDisk2 2 Medium2
event:place DefaultDisk3 2 Medium1
event:place DefaultDisk4 2 Medium2

# Set inter-VM anti affinity when intra VM affinity is not set.
# In the begining of pass 4, all 3 VMs have disks in 2 datastores.
event:antiAffineVm StorageWorkload1 4 StorageWorkload2
event:antiAffineVm StorageWorkload1 4 StorageWorkload3


