#
numrounds = 5
storageSimulation=1

# Do not affine all disks by default
AffineAllDisksDefault=0

datastore Medium 1

vm StorageWorkload		1	   user randhost/delayplace
vm StorageWorkload		1	   user randhost/delayplace 
vm StorageWorkload		1	   user randhost/delayplace 
vm StorageWorkload		1	   user randhost/Medium1 

# Pass 1: initial state, both of StorageWorkload4's disks on Medium1.

# Pass 2: StorageWorkload1 placement should report inter-VM anti-affine vio fault.
event:antiaffin StorageWorkload1 StorageWorkload4
event:affineAllDisks StorageWorkload1 2 on
event:affineAllDisks StorageWorkload4 2 on
event:place DefaultDisk1 2 Medium1
event:place DefaultDisk2 2 Medium1

# Pass 3: StorageWorkload2 placement should report intra-VM anti-affine vio fault.
event:antiAffineDisk DefaultDisk3 3 DefaultDisk4
event:place DefaultDisk3 3 Medium1
event:place DefaultDisk4 3 Medium1

# Pass 4: StorageWorkload3 placement should succeed.
event:affineAllDisks StorageWorkload3 4 on
event:place DefaultDisk5 4 Medium1
event:place DefaultDisk6 4 Medium1

# Pass 5: Can't correct StorageWorkload3 intra-VM anti-affinity, should report fault.
event:affineAllDisks StorageWorkload3 5 off
event:antiAffineDisk DefaultDisk5 5 DefaultDisk6

